Subject: Re: [bitcoin-dev] Satoshilabs secret shared private key scheme

From: Gregory Maxwell <[email-masked]>
Date: Wed, 17 Jan 2018 15:36:25 +0000

On Wed, Jan 17, 2018 at 3:28 PM, Russell O'Connor via bitcoin-dev
<[email-masked]> wrote:
> it is impossible to break SSS.

Obligatory repeated point: if the scheme being used actually is SSS
and not a Shamir-Shaped-Sharing instead. This should go without
mention by my experience is that a great many things which claim to be
SSS aren't. Sometimes precisely because they stuck in some hashes in
arbitrary places and destroyed the properties (in fact, the really old
broken armory implementation effectively did that, and in fact
resulted in a real weakness not just a theoretical one).